WPDocument.h File Reference
`#include <librevenge/librevenge.h>`

Go to the source code of this file.

## Classes

class | libwpd::WPDocument
| This class provides all the functions an application would need to parse WordPerfect documents. More...

## Namespaces

namespace | libwpd

## Macros

#define | WPDAPI

## Enumerations

enum | libwpd::WPDConfidence { libwpd::WPD_CONFIDENCE_NONE =0 , libwpd::WPD_CONFIDENCE_UNSUPPORTED_ENCRYPTION , libwpd::WPD_CONFIDENCE_SUPPORTED_ENCRYPTION , libwpd::WPD_CONFIDENCE_EXCELLENT }
enum | libwpd::WPDResult { libwpd::WPD_OK , libwpd::WPD_FILE_ACCESS_ERROR , libwpd::WPD_PARSE_ERROR , libwpd::WPD_UNSUPPORTED_ENCRYPTION_ERROR , libwpd::WPD_PASSWORD_MISSMATCH_ERROR , libwpd::WPD_OLE_ERROR , libwpd::WPD_UNKNOWN_ERROR }
enum | libwpd::WPDPasswordMatch { libwpd::WPD_PASSWORD_MATCH_NONE , libwpd::WPD_PASSWORD_MATCH_DONTKNOW , libwpd::WPD_PASSWORD_MATCH_OK }
enum | libwpd::WPDFileFormat { libwpd::WPD_FILE_FORMAT_WP6 , libwpd::WPD_FILE_FORMAT_WP5 , libwpd::WPD_FILE_FORMAT_WP42 , libwpd::WPD_FILE_FORMAT_WP3 , libwpd::WPD_FILE_FORMAT_WP1 , libwpd::WPD_FILE_FORMAT_UNKNOWN }

## Macro Definition Documentation

## WPDAPI

#define WPDAPI

Referenced by libwpd::WPDocument::isFileFormatSupported(), libwpd::WPDocument::parse(), libwpd::WPDocument::parseSubDocument(), and libwpd::WPDocument::verifyPassword().